R_GET_SERVICE_NUMBER(3)

FUNCTION
r_get_service_number - Get service number for a module.

SYNOPSIS
#include <karma_r.h>

int r_get_service_number

(CONST char *module_name)

DESCRIPTION
This routine uses a hashing function to determine the service number of a module.

module_name
    The name of the module.

RETURN VALUE
The service number.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/